// Copyright 2018 RED Software, LLC. All Rights Reserved.

using IgniteEngine.Networking;

namespace IgniteEngine.Protocols
{
    public class PROTO_NC_USER_WORLDSELECT_ACK : NetworkMessage
    {
        public PROTO_NC_USER_WORLDSELECT_ACK(World world, string guid) : base(NetworkCommand.NC_USER_WORLDSELECT_ACK)
        {
            Write(world.Status);
            Write(world.IP, 16);
            Write(world.Port);
            Write(guid, 32);
        }
    }
}
